// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		77B6A61C211B8CCA006DB571 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 77B6A61B211B8CCA006DB571 /* AppDelegate.swift */; };
		77B6A61E211B8CCA006DB571 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 77B6A61D211B8CCA006DB571 /* ViewController.swift */; };
		77B6A621211B8CCA006DB571 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 77B6A61F211B8CCA006DB571 /* Main.storyboard */; };
		77B6A623211B8CCD006DB571 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 77B6A622211B8CCD006DB571 /* Assets.xcassets */; };
		77B6A626211B8CCD006DB571 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 77B6A624211B8CCD006DB571 /* LaunchScreen.storyboard */; };
		77B6A62F211B923F006DB571 /* BinarySearchTree.swift in Sources */ = {isa = PBXBuildFile; fileRef = 77B6A62E211B923F006DB571 /* BinarySearchTree.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		77B6A618211B8CCA006DB571 /* ATBinarySearchTrees.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ATBinarySearchTrees.app; sourceTree = BUILT_PRODUCTS_DIR; };
		77B6A61B211B8CCA006DB571 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		77B6A61D211B8CCA006DB571 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		77B6A620211B8CCA006DB571 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		77B6A622211B8CCD006DB571 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		77B6A625211B8CCD006DB571 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		77B6A627211B8CCD006DB571 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		77B6A62E211B923F006DB571 /* BinarySearchTree.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BinarySearchTree.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		77B6A615211B8CCA006DB571 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		77B6A60F211B8CCA006DB571 = {
			isa = PBXGroup;
			children = (
				77B6A61A211B8CCA006DB571 /* ATBinarySearchTrees */,
				77B6A619211B8CCA006DB571 /* Products */,
			);
			sourceTree = "<group>";
		};
		77B6A619211B8CCA006DB571 /* Products */ = {
			isa = PBXGroup;
			children = (
				77B6A618211B8CCA006DB571 /* ATBinarySearchTrees.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		77B6A61A211B8CCA006DB571 /* ATBinarySearchTrees */ = {
			isa = PBXGroup;
			children = (
				77B6A62D211B921F006DB571 /* BST */,
				77B6A61B211B8CCA006DB571 /* AppDelegate.swift */,
				77B6A61D211B8CCA006DB571 /* ViewController.swift */,
				77B6A61F211B8CCA006DB571 /* Main.storyboard */,
				77B6A622211B8CCD006DB571 /* Assets.xcassets */,
				77B6A624211B8CCD006DB571 /* LaunchScreen.storyboard */,
				77B6A627211B8CCD006DB571 /* Info.plist */,
			);
			path = ATBinarySearchTrees;
			sourceTree = "<group>";
		};
		77B6A62D211B921F006DB571 /* BST */ = {
			isa = PBXGroup;
			children = (
				77B6A62E211B923F006DB571 /* BinarySearchTree.swift */,
			);
			path = BST;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		77B6A617211B8CCA006DB571 /* ATBinarySearchTrees */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 77B6A62A211B8CCD006DB571 /* Build configuration list for PBXNativeTarget "ATBinarySearchTrees" */;
			buildPhases = (
				77B6A614211B8CCA006DB571 /* Sources */,
				77B6A615211B8CCA006DB571 /* Frameworks */,
				77B6A616211B8CCA006DB571 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ATBinarySearchTrees;
			productName = ATBinarySearchTrees;
			productReference = 77B6A618211B8CCA006DB571 /* ATBinarySearchTrees.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		77B6A610211B8CCA006DB571 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0940;
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = agostini.tech;
				TargetAttributes = {
					77B6A617211B8CCA006DB571 = {
						CreatedOnToolsVersion = 9.4.1;
					};
				};
			};
			buildConfigurationList = 77B6A613211B8CCA006DB571 /* Build configuration list for PBXProject "ATBinarySearchTrees" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 77B6A60F211B8CCA006DB571;
			productRefGroup = 77B6A619211B8CCA006DB571 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				77B6A617211B8CCA006DB571 /* ATBinarySearchTrees */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		77B6A616211B8CCA006DB571 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				77B6A626211B8CCD006DB571 /* LaunchScreen.storyboard in Resources */,
				77B6A623211B8CCD006DB571 /* Assets.xcassets in Resources */,
				77B6A621211B8CCA006DB571 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		77B6A614211B8CCA006DB571 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				77B6A61E211B8CCA006DB571 /* ViewController.swift in Sources */,
				77B6A61C211B8CCA006DB571 /* AppDelegate.swift in Sources */,
				77B6A62F211B923F006DB571 /* BinarySearchTree.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		77B6A61F211B8CCA006DB571 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				77B6A620211B8CCA006DB571 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		77B6A624211B8CCD006DB571 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				77B6A625211B8CCD006DB571 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		77B6A628211B8CCD006DB571 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		77B6A629211B8CCD006DB571 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		77B6A62B211B8CCD006DB571 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = C3EKZ6XDU9;
				INFOPLIST_FILE = ATBinarySearchTrees/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = tech.agostini.ATBinarySearchTrees;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		77B6A62C211B8CCD006DB571 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = C3EKZ6XDU9;
				INFOPLIST_FILE = ATBinarySearchTrees/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = tech.agostini.ATBinarySearchTrees;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		77B6A613211B8CCA006DB571 /* Build configuration list for PBXProject "ATBinarySearchTrees" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				77B6A628211B8CCD006DB571 /* Debug */,
				77B6A629211B8CCD006DB571 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		77B6A62A211B8CCD006DB571 /* Build configuration list for PBXNativeTarget "ATBinarySearchTrees" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				77B6A62B211B8CCD006DB571 /* Debug */,
				77B6A62C211B8CCD006DB571 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 77B6A610211B8CCA006DB571 /* Project object */;
}
